## node-flatted 2.0.1~dfsg

=== debian/changelog ===
node-flatted (2.0.1~dfsg-4) unstable; urgency=medium

  * fix typo in previous changelog entry
  * mention bug number in lintian override
  * fix clean generated docs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 11:16:02 +0100

node-flatted (2.0.1~dfsg-3) unstable; urgency=medium

  * Fix include unminified browser library.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 21:57:56 +0200

node-flatted (2.0.1~dfsg-2) unstable; urgency=medium

  * Add (superficial) autopkgtest.
  * Use debhelper compatibility level 10,
    and override lintian about unversioned dependency.
  * Fix install path.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 21:40:20 +0200

node-flatted (2.0.1~dfsg-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#942458.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2019 21:15:16 +0200
