=== debian/control ===
Source: node-flatted
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 brotli,
 debhelper,
 node-istanbul <!nocheck>,
 node-tap <!nocheck>,
 node-typescript <!nocheck>,
 pandoc <!nodoc>,
 pigz,
 uglifyjs (>= 3),
Standards-Version: 4.4.1
Homepage: https://github.com/WebReflection/flatted
Vcs-Browser: https://salsa.debian.org/js-team/node-flatted
Vcs-Git: https://salsa.debian.org/js-team/node-flatted.git
Rules-Requires-Root: no

Package: node-flatted
Architecture: all
Depends:
 nodejs,
 ${misc:Depends},
Description: super light and fast circular JSON parser - Node library
 Flatted is a super light and fast circular JSON parser.
 .
 Works with all ECMAScript engines
 compatible with Map, Set, Object.keys, and Array.prototype.reduce,
 even if polyfilled.
 .
 Flatted is the direct successor of no longer maintained CircularJSON.
 .
 This package contains flatted usable with Nodejs.

Package: libjs-flatted
Architecture: all
Depends:
 nodejs,
 ${misc:Depends},
Description: super light and fast circular JSON parser - browser library
 Flatted is a super light and fast circular JSON parser.
 .
 Works with all ECMAScript engines
 compatible with Map, Set, Object.keys, and Array.prototype.reduce,
 even if polyfilled.
 .
 Flatted is the direct successor of no longer maintained CircularJSON.
 .
 This package contains flatted directly usable in web browsers.
