## node-flatted 2.0.2~dfsg

=== debian/changelog ===
node-flatted (2.0.2~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * copyright: update coverage
  * declare compliance with Debian Policy 4.5.0
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 02:26:56 +0200
