=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  brotli,
- debhelper,
+ debhelper-compat (= 12),
  node-istanbul <!nocheck>,
  node-tap <!nocheck>,
  node-typescript <!nocheck>,
  pandoc <!nodoc>,
  pigz,
  uglifyjs (>= 3),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/WebReflection/flatted
 Vcs-Browser: https://salsa.debian.org/js-team/node-flatted
 Vcs-Git: https://salsa.debian.org/js-team/node-flatted.git
