=== debian/control ===
--- 
+++ 
@@ -6,14 +6,19 @@
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  brotli,
- debhelper-compat (= 12),
- node-istanbul <!nocheck>,
+ cmark-gfm <!nodoc>,
+ debhelper-compat (= 13),
+ node-ascjs,
+ node-babel-core (>= 7),
+ node-babel-preset-env (>= 7),
+ node-rollup-plugin-babel (>= 5.2),
  node-tap <!nocheck>,
  node-typescript <!nocheck>,
- pandoc <!nodoc>,
+ nodejs <!nocheck>,
  pigz,
- uglifyjs (>= 3),
-Standards-Version: 4.5.0
+ rollup,
+ terser,
+Standards-Version: 4.6.0
 Homepage: https://github.com/WebReflection/flatted
 Vcs-Browser: https://salsa.debian.org/js-team/node-flatted
 Vcs-Git: https://salsa.debian.org/js-team/node-flatted.git
@@ -22,8 +27,8 @@
 Package: node-flatted
 Architecture: all
 Depends:
- nodejs,
  ${misc:Depends},
+Multi-Arch: foreign
 Description: super light and fast circular JSON parser - Node library
  Flatted is a super light and fast circular JSON parser.
  .
@@ -40,6 +45,7 @@
 Depends:
  nodejs,
  ${misc:Depends},
+Multi-Arch: foreign
 Description: super light and fast circular JSON parser - browser library
  Flatted is a super light and fast circular JSON parser.
  .
