## node-flatted 3.2.6~ds

=== debian/changelog ===
node-flatted (3.2.6~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + update files to exclude when repackaging
    + update copyright info: update coverage
  * fix build and install browser modules es.js esm.js
  * declare compliance with Debian Policy 4.6.1

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Aug 2022 09:32:24 +0200
