=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,24 @@
 # * See <https://www.gnu.org/software/librejs/free-your-javascript.html>
 LICENSE = magnet:?xt=urn:btih:b8999bbaf509c08d127678643c515b9ab0836bae&dn=ISC.txt ISC
 
+%:
+	dh $@
+
+# pre-compress for browser use
+%.gz: %
+	pigz --force --keep -11 -- $<
+	brotli --force --keep --best --suffix=.brotli -- $<
+
+%.html: %.md
+	cmark-gfm $< > $@
+
+%.txt: %.md
+	cmark-gfm --to plaintext $< > $@
+
 # optimize JavaScript for browser use
 # * include source-map
+debian/js/es.min.js debian/js/esm.min.js: debian/js/%.min.js: %.js
+debian/js/flatted.min.js: index.js
 debian/js/%.min.js:
 	$(if $<,,$(error source missing for browser library of $*))
 	mkdir --parents $(dir $@)
@@ -35,12 +51,17 @@
 	rollup --config rollup/es.config.js
 	sed -i -e 's/^var /self./' es.js
 
+esm.js: esm/index.js
+	rollup --config rollup/esm.config.js
+
 index.js: esm/index.js
 	rollup --config rollup/babel.config.js
 	sed -i -e 's/^var /self./' index.js
 
-debian/js/flatted.min.js: index.js
+debian/js/es.js debian/js/esm.js: debian/js/%.js: %.js
 debian/js/flatted.js: index.js
+debian/js/%.js:
+	$(if $<,,$(error source missing for browser library of $*))
 	mkdir --parents $(dir $@)
 	echo '// @license $(LICENSE)' >> $@
 	cat $< >> $@
@@ -50,7 +71,9 @@
 	dh_clean -- $(DOCS)
 
 override_dh_auto_build: $(DOCS) \
- cjs/index.js esm/index.js debian/js/flatted.js debian/js/flatted.min.js.gz
+ cjs/index.js esm/index.js \
+ $(patsubst %,debian/js/%.js,es esm flatted) \
+ $(patsubst %,debian/js/%.min.js.gz,es esm flatted)
 
 override_dh_auto_test:
 	node test/index.js
@@ -58,18 +81,4 @@
 override_dh_installdocs:
 	dh_installdocs --all -- $(DOCS)
 
-# pre-compress for browser use
-%.gz: %
-	pigz --force --keep -11 -- $<
-	brotli --force --keep --best --suffix=.brotli -- $<
-
-%.html: %.md
-	cmark-gfm $< > $@
-
-%.txt: %.md
-	cmark-gfm --to plaintext $< > $@
-
-%:
-	dh $@
-
 .SECONDARY:
