## node-flatted 3.2.7~ds

=== debian/changelog ===
node-flatted (3.2.7~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.2.7~ds

 -- Yadd <yadd@debian.org>  Tue, 01 Nov 2022 15:36:53 +0100

node-flatted (3.2.6~ds-2) unstable; urgency=medium

  * Team upload
  * Add build links to rollup plugins (Closes: #1022640)

 -- Yadd <yadd@debian.org>  Wed, 26 Oct 2022 18:19:52 +0200
