=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  pigz,
  rollup,
  terser,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/WebReflection/flatted
 Vcs-Browser: https://salsa.debian.org/js-team/node-flatted
 Vcs-Git: https://salsa.debian.org/js-team/node-flatted.git
