=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,11 @@
 override_dh_clean:
 	dh_clean -- $(DOCS)
 
+override_dh_auto_configure:
+	mkdir -p node_modules/@rollup
+	ln -s /usr/share/nodejs/@rollup/plugin-babel node_modules/@rollup/
+	ln -s /usr/share/nodejs/rollup-plugin-terser node_modules/
+
 override_dh_auto_build: $(DOCS) \
  cjs/index.js esm/index.js \
  $(patsubst %,debian/js/%.js,es esm flatted) \
